/**
 * Returns `Promise` delayed for specified time in MS.
 *
 * @group Async
 */
export declare function delay(timeInMs: number): Promise<void>;
/**
 * Creates and returns a new debounced version of the passed function that will postpone its execution
 * until after wait milliseconds have elapsed since the last time it was invoked.
 *
 * @group Async
 */
export declare function debounce<A extends unknown[]>(func: (...args: A) => unknown, timeInMs: number): (...args: A) => void;
